\section{Sheaf Cohomology - A Crash Course}
Let $X$ be a topological space. We know \todo{add reference} that the global sections functor $\Gamma\mc \asheaf\to\abc$ is left-exact: If $0\to\shf_1\to\shf_2\to\shf_3\to 0$ is a short-exact sequence of sheaves on $X$, then $0\to \Gamma(\shf_1)\to\Gamma(\shf_2)\to\Gamma(\shf_3)$ is exact but the last map is in general not surjective.
The goal is now to define a collection of functors $\ch^i\mc \asheaf(X)\to\abc$ such that:
\begin{enumerate}
  \item There is a natural isomorphism of functors $\ch^0\cong \Gamma$
  \item For every short-exact sequence
  \[
    0\to\shf_1\to\shf_2\to\shf_3\to 0
  \]
  there is a collection are morphisms $\delta^i\mc \ch^i(\shf_3)\to\ch^{i+1}(\shf_1)$ such that
  the induced sequence
  \[
  \begin{tikzcd}
    0\ar{r}&
    \Gamma(\shf_1)\ar{r}&
    \Gamma(\shf_2)\ar{r}
    \ar[draw=none]{d}[name=X, anchor=center]{}
    &
    \Gamma(\shf_3)\ar[rounded corners,
            to path={ -- ([xshift=2ex]\tikztostart.east)
                      |- (X.center) \tikztonodes
                      -| ([xshift=-2ex]\tikztotarget.west)
                      -- (\tikztotarget)}]{dll}[at end, above]{\delta^0}
    \\
    &
    \ch^1(\shf_1)\ar{r}&
    \ch^1(\shf_2)\ar{r}\ar[draw = none]{d}[name=Y, anchor = center]{}&
    \ch^1(\shf_3)\ar[rounded corners,
            to path={ -- ([xshift=2ex]\tikztostart.east)
                      |- (Y.center) \tikztonodes
                      -| ([xshift=-2ex]\tikztotarget.west)
                      -- (\tikztotarget)}]{dll}[at end, above]{\delta^1}
    \\
    &
    \ch^2(\shf_2)\ar{r}&
    \ldots
    &
  \end{tikzcd}
  \]
  is long-exact.
  \item We have functoriallity in the following sense: Let $\pphi_i\mc \shf_i\to\shf'_i$ be morphisms of sheaves for $1\leq i \leq 3$ that fit into a commutative diagram with short-exact rows:
  \[
  \begin{tikzcd}
    0\ar{r}&\shf_1\ar{r}\ar{d}[left]{\pphi_1}&\shf_2\ar{d}[left]{\pphi_2}\ar{r}&\shf_3\ar{d}[left]{\pphi_3}\ar{r}&0\\
    0\ar{r}&\shf_1'\ar{r}&\shf_2'\ar{r}&\shf_3'\ar{r}&0
  \end{tikzcd}
    \]
    Then for all $i$, the diagram
    \[
    \begin{tikzcd}
      \ch^i(\shf_3)\ar{d}[left]{\ch^i(\pphi_3)}\ar{r}[above]{\delta^i}&\ch^{i+1}(\shf_1)\ar{d}[right]{\ch^{i+1}(\pphi_1)}\\
      \ch^i(\shf_3')\ar{r}[below]{\delta^i}&\ch^{i+1}(\shf_1')
    \end{tikzcd}
    \] commutes.
\end{enumerate}

\begin{example}
  Let $X= \cc\setminus\lset 0\rset$ and $\ox$ the sheaf of holomorphic functions. By \todo{add reference} we have a short-exact sequence of the form:
  \[
  0\to\zz\to\ox\to\ox^\ast\to 0.
  \]
  Then $\Gamma$ applied to this sequence is not exact, since there is no global logarithm on $\cc$.
  We will see later that $\ch^i(\zz)\cong \zz$,
  \todo{add more detail - but i don't know how this works}
\end{example}

\begin{defn}
  \todo{general definition of a $\delta$-functor}

\end{defn}

\begin{defn}
  A $\delta$-functor $(\ch^i,\delta_i)\mc \acat\to\bcat$ is \emph{universal} if for all $\delta$-functors $(\wtilde{\ch}^i,\wtilde{\delta}_i)\mc\acat\to\bcat$ and for all natural transformations of functors $\ch^0\to\wtilde{\ch}^0$ there is a collection of natural transformations $\ch^i\to \wtilde{\ch}^i$ such that for all $i$ and all short-exact sequences
  \[
  0\to A_1\to A_2\to A_3\to 0
  \]
  in $\acat$ the diagram
  \[
  \begin{tikzcd}
    \ch^i(A_3)\ar{r}[above]{\delta_i}\ar{d}&\ch^{i+1}(A_1)\ar{d}\\
    \wtilde{\ch}^i(A_3)\ar{r}{\wtilde{\delta}_i}&\wtilde{\ch}^{i+1}(A_1)
  \end{tikzcd}
  \]
  commutes.
\end{defn}
\begin{defn}
  A functor $F\mc\acat\to\bcat$ is \emph{effaceable} for all $A\in \obj(\acat)$ there is an injective map
  $\pphi\mc A\hookrightarrow A'$ such that $F(\pphi) = 0$.
\end{defn}

\begin{theorem}
  If $(\ch^i,\delta_i)\mc \acat\to\bcat$ is a $\delta$-functor such that all $\ch^i$ are effaceable for $i>0$ then $(\ch^i,\delta_i)$ is universal.
\end{theorem}
The rest of the lecture was spent sketching a proof of this theorem - I try to fill it with details where it is not too dull.

\begin{defn}
  \leavevmode
  \begin{enumerate}
    \item An object $I\in \obj(\acat)$ is an \emph{injective object} in $\acat$ if for all maps $A_1\to I$ and monomorphisms $A_1\hookrightarrow A_2$ there exists a morphism $A_2\to I$ such that
    \[
    \begin{tikzcd}
      A_1\ar[hook]{r}\ar{d} &A_2\ar[dashed]{ld}\\
      I
    \end{tikzcd}
    \]
    commutes.
    \item The category $\acat$ has \emph{enough injective objects} if for every $A\in \acat$ there is a monomorphisms $\acat\hookrightarrow I$, where $I$ is injective.
    \item An \emph{injective resolution} of an object $A\in \acat$ is a long-exact sequence
    \[
    0\to A\to I_0\to I_1\to I_2\to\ldots
    \]
    such that all the $I_i$ are injective objects in $\acat$.
  \end{enumerate}
\end{defn}
